Name:           qosmic
Version:        1.3.1
Release:        3%{?dist}
Summary:        A cosmic recursive fractal flame editor written in Qt4

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://students.washington.edu/bitsed/qosmic/
Source0:        http://students.washington.edu/bitsed/qosmic/public/qosmic-%{version}.tar.bz2
Source1:        http://students.washington.edu/bitsed/qosmic/images/icon.jpg
Source2:        qosmic.desktop
Patch0:         qosmic-1.3-qosmic.pro.patch
Patch1:         qosmic-1.3-qosmic.cpp.patch
Patch2:         qosmic-secant-secant2.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  flam3-devel >= 2.7.10
BuildRequires:  qt4-devel >= 4.3.1
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
BuildRequires:  lua-devel
Requires:       flam3 >= 2.7.10

%description
Qosmic is a nifty toy with which you can edit and render flam3 fractal images.
It is comparable to Apophysis for Windows, with the same basic interface.

%prep
%setup -q -n qosmic
%patch0 -p1 -b .qosmic_pro
%patch1 -p1 -b .qosmic_cpp
%patch2 -p1 -b .secant


%build
qmake-qt4
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -cpm 755 qosmic $RPM_BUILD_ROOT%{_bindir}/
convert %{SOURCE1} icon.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -cpm 644 icon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/qosmic.png
desktop-file-install --vendor="fedora" \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  %{SOURCE2}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/qosmic
%{_datadir}/applications/fedora-qosmic.desktop
%{_datadir}/pixmaps/qosmic.png
%doc README
%doc COPYING
%doc changes.txt



%changelog
* Wed Apr 02 2008 Ian Weller <ianweller@gmail.com> 1.3.1-3
- Upstream updated their tarball without increasing the version number. Sneaky.

* Sat Mar 22 2008 Ian Weller <ianweller@gmail.com> 1.3.1-2
- Rebuildling for flam3 2.7.10: the new flam3 changes 'secant' to 'secant2',
  so we must do likewise, and therefore this package only builds on 2.7.10
  or above.

* Tue Mar 11 2008 Ian Weller <ianweller@gmail.com> 1.3.1-1
- Updated upstream

* Sat Mar 01 2008 Ian Weller <ianweller@gmail.com> 1.3-2
- Once again qosmic failed to start because it couldn't find the palettes,
  hopefully fixed for good this time
- Made a small change to qosmic.desktop

* Mon Feb 18 2008 Ian Weller <ianweller@gmail.com> 1.3-1
- Updated upstream

* Sat Feb 09 2008 Ian Weller <ianweller@gmail.com> 1.2-3
- Fixed License tag

* Wed Feb 06 2008 Ian Weller <ianweller@gmail.com> 1.2-2
- Fixed the fact that qosmic wouldn't even build (added BuildRequires)
- Fixed the fact that qosmic wouldn't even run (Patch1)

* Mon Jan 28 2008 Ian Weller <ianweller@gmail.com> 1.2-1
- First package build.
